Bug 1304121 - [abrt] control-center: g_list_nth_data(): gnome-control-center killed by SIGSEGV
[abrt] control-center: g_list_nth_data(): gnome-control-center killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1f6c4a544f74cd7629803e58cd5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 18:15 EST by Marek Doležel
Modified: 2017-08-08 08:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.26 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: core_backtrace (13.46 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: dso_list (34.14 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: environ (1.70 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: maps (146.10 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: mountinfo (3.55 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: open_fds (3.18 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-02 18:15 EST, Marek Doležel
no flags Details
File: screencast-02-02-16-23:12:19.webm (360.40 KB, application/octet-stream)
2016-02-02 18:15 EST, Marek Doležel
no flags Details

  None (edit)
Description Marek Doležel 2016-02-02 18:15:02 EST
Description of problem:
1. gnome-control-center
2. under system goto users
3. click disabled under fingerprint login
4. select finger to enroll and click next
5. error message appears - click ok
6. crash

Version-Release number of selected component:
control-center-3.19.5-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: g_list_nth_data
executable:     /usr/bin/gnome-control-center
global_pid:     3857
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_list_nth_data at glist.c:792
 #1 set_current_page at gtkassistant.c:987
 #2 compute_next_step at gtkassistant.c:1041
 #3 gtk_assistant_next_page at gtkassistant.c:1609
 #4 _g_closure_invoke_va at gclosure.c:867
 #7 gtk_button_do_release at gtkbutton.c:1842
 #8 gtk_real_button_released at gtkbutton.c:1960
 #13 multipress_released_cb at gtkbutton.c:665
 #14 ffi_call_unix64 at ../src/x86/unix64.S:76
 #15 ffi_call at ../src/x86/ffi64.c:525

Potential duplicate: bug 1199300
Comment 1 Marek Doležel 2016-02-02 18:15:09 EST
Created attachment 1120582 [details]
File: backtrace
Comment 2 Marek Doležel 2016-02-02 18:15:11 EST
Created attachment 1120583 [details]
File: cgroup
Comment 3 Marek Doležel 2016-02-02 18:15:13 EST
Created attachment 1120584 [details]
File: core_backtrace
Comment 4 Marek Doležel 2016-02-02 18:15:15 EST
Created attachment 1120585 [details]
File: dso_list
Comment 5 Marek Doležel 2016-02-02 18:15:17 EST
Created attachment 1120586 [details]
File: environ
Comment 6 Marek Doležel 2016-02-02 18:15:18 EST
Created attachment 1120587 [details]
File: exploitable
Comment 7 Marek Doležel 2016-02-02 18:15:20 EST
Created attachment 1120588 [details]
File: limits
Comment 8 Marek Doležel 2016-02-02 18:15:23 EST
Created attachment 1120589 [details]
File: maps
Comment 9 Marek Doležel 2016-02-02 18:15:25 EST
Created attachment 1120590 [details]
File: mountinfo
Comment 10 Marek Doležel 2016-02-02 18:15:27 EST
Created attachment 1120591 [details]
File: open_fds
Comment 11 Marek Doležel 2016-02-02 18:15:29 EST
Created attachment 1120592 [details]
File: proc_pid_status
Comment 12 Marek Doležel 2016-02-02 18:15:31 EST
Created attachment 1120593 [details]
File: var_log_messages
Comment 13 Marek Doležel 2016-02-02 18:15:34 EST
Created attachment 1120594 [details]
File: screencast-02-02-16-23:12:19.webm
Comment 14 Marek Doležel 2016-02-03 19:21:55 EST
This happens only when the machine was suspended before.
Comment 15 Jan Kurik 2016-02-24 09:23:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Fedora End Of Life 2017-07-25 15:53:11 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:44:14 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.